# Luakit Documentation / Modules / readline

# Module `readline`

Add readline bindings to the input bar

This module adds a set of readline-inspired bindings to the input bar. These bindings are not bound to any specific mode, but are automatically activated whenever the input bar has focus.

## Properties

### readline.bindings

Type: table
Read-write
Table of bindings that are added to the input bar.

## Attribution

#### Copyright

- 2017 Aidan Holm